> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/management/reseller/contract/update-contract-name.md).

# Update contract name

```json
{"openapi":"3.0.1","info":{"title":"Reseller API","version":"2.0"},"tags":[{"name":"Contract"}],"servers":[{"url":"/reseller/v2"}],"security":[{"BasicAuthentication":[]},{"TokenAuthentication":[]}],"components":{"securitySchemes":{"BasicAuthentication":{"type":"http","description":"You will need to base64 encode the string containing your credentials. <div style=\"padding: 15px; border: 1px solid #d1ecf1; background-color: #d1ecf1; color: #0c5460; margin-bottom: 15px;\">\n  <strong>Note:</strong><br/><br/>\n   <ul><li><b>Basic Authentication</b> is supported only when <b>2-Factor \n  Authentication</b> is not configured.</li>\n  <li>Users with <b>2-Factor \n  Authentication</b> activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). \n  These tokens do not inherit the <b>2FA-secured</b> property by default.</li><li>Token deletion is only possible using the <b>Token Manager</b>.</li>\n</div> Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication\n","scheme":"basic"},"TokenAuthentication":{"type":"apiKey","description":"Please provide header value as 'Bearer <token>' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.","name":"Authorization","in":"header"}},"schemas":{"ContractResponseResource":{"type":"object","properties":{"id":{"type":"string","description":"The resource's unique identifier","readOnly":true},"href":{"type":"string","description":"URI for specific Contract","format":"uri","readOnly":true},"name":{"type":"string","description":"name of the contract"},"resellerReference":{"type":"string","description":"reseller reference of the contract"},"status":{"type":"string","description":"status of the contract"},"resourceLimits":{"$ref":"#/components/schemas/ResourceLimits"}}},"ResourceLimits":{"required":["cpuContractMax","cpuServerMax","hddVolumeContractMaxSize","hddVolumeMaxSize","ips","ramContractMax","ramServerMax","ssdVolumeContractMaxSize","ssdVolumeMaxSize"],"type":"object","properties":{"ramServerMax":{"type":"integer","description":"maximum ram per virtual machine","format":"int32"},"cpuServerMax":{"type":"integer","description":"maximum number of cpu per virtual machine","format":"int32"},"hddVolumeMaxSize":{"type":"integer","description":"maximum hdd volume size","format":"int32"},"ssdVolumeMaxSize":{"type":"integer","description":"maximum ssd volume size","format":"int32"},"ramContractMax":{"type":"integer","description":"maximum ram per contract","format":"int32"},"cpuContractMax":{"type":"integer","description":"maximum cpu per contract","format":"int32"},"hddVolumeContractMaxSize":{"type":"integer","description":"maximum hhd volume per contract","format":"int32"},"ssdVolumeContractMaxSize":{"type":"integer","description":"maximum ssd volume per contract","format":"int32"},"ips":{"type":"integer","description":"maximum ips per contract","format":"int32"}}},"ErrorResponse":{"type":"object","properties":{"httpStatus":{"type":"integer","description":"HTTP status code of the operation.","readOnly":true},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}}},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"IONOS CLOUD error code."},"message":{"type":"string","description":"Limit must not exceed 5,000."}}}}},"paths":{"/contracts/{contractNumber}/name":{"put":{"tags":["Contract"],"summary":"Update contract name","operationId":"updateName","parameters":[{"name":"contractNumber","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"text/plain":{"schema":{"type":"string"}}},"required":false},"responses":{"200":{"description":"Success","headers":{"Content-Location":{"description":"URL of modified contract","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractResponseResource"}}}},"default":{"description":"Any erroneous status code: 400 (parse error), 401 (auth error), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/management/reseller/contract/update-contract-name.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
